tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Monica Wu" <Monica...@XenoPort.com>
Subject RE: Tomcat upgrade: 3.3.1 --> 5.0.28, hang up after running 1 or 2 days
Date Tue, 24 Jan 2006 17:32:43 GMT
Thank you Glen for your concern!

Please read through the whole thread including the subject line, I got problems on tomcat
5.0.28, rather than 5.5.x.

There are plenty of reasons to adopt the latest release. However, in reality, there are lots
of perfect execuses to do a halfway upgrade as well. 

First of all, upgraded to the version I have ever tested. Tomcat 5.0 has been running well
on my another production server about one year. At that installation time, Tomcat 5.0 was
the latest. Moreover, having all productions share the same Java + tomcat versions is one
of my agendas to ease the development and maintenance.

Tomcat 5.0 is a production quality release too. My web application doesn't require any features
that are special to tomcat 5.x. It does not matter to upgrade to tomcat 5.0 or tomcat 5.5.

Anyway, this halfway upgrade to tomcat 5.0 failed. I have not figured out the cause, so how
do I know the latest one will overcome it? And also Tomcat 5.5 might introduce new issues.
This is a upgrade on a production server. I want to minimize all risks and have a smooth and
successful upgrade.

- Monica

-----Original Message-----
From: Glen Mazza [mailto:grm7790@verizon.net]
Sent: Tuesday, January 24, 2006 7:55 AM
To: Tomcat Users List
Subject: Re: Tomcat upgrade: 3.3.1 --> 5.0.28, hang up after running 1
or 2 days


Monica Wu wrote:

> 
> About updating to Tomcat 5.5. Since the cause is not unclear, and some Tomcat 5.5 hangups
were reported as well, I don't think simply upgrading to 5.5 would fix my problem.
> 

Perhaps not.  But you *might* get more responses and additional concern 
from the users and developers on the TC user list, because if you're 
using the current-production 5.5.15 quality release and *that* version 
is failing on you, people would tend to view that as more alarming.

Given that 5.5.15 is the current production quality release, I don't 
understand why you're upgrading from 3.3 only halfway to 5.0.

Glen


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message